## $Id: pages.py 8080 2012-04-09 12:42:52Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
import grok
from waeup.kofa.browser.pages import (
    SessionConfigurationAddFormPage, SessionConfigurationManageFormPage)
from waeup.kofa.interfaces import IUserAccount
from waeup.uniben.interfaces import (
    ISessionConfiguration, ISessionConfigurationAdd)
from waeup.kofa.browser.pages import (
    UserEditFormPage, UserManageFormPage, AddUserFormPage)
from waeup.uniben.widgets.phonewidget import PhoneWidget

class SessionConfigurationAddFormPage(SessionConfigurationAddFormPage):
    """Add a session configuration object to configuration container.
    """
    form_fields = grok.AutoFields(ISessionConfigurationAdd)

class SessionConfigurationManageFormPage(SessionConfigurationManageFormPage):
    """Manage session configuration object.
    """
    form_fields = grok.AutoFields(ISessionConfiguration)

class AddUserFormPage(AddUserFormPage):
    """Add a user account.
    """
    form_fields = grok.AutoFields(IUserAccount)
    form_fields['phone'].custom_widget = PhoneWidget

class UserManageFormPage(UserManageFormPage):
    """Manage a user account.
    """
    form_fields = grok.AutoFields(IUserAccount).omit('name')
    form_fields['phone'].custom_widget = PhoneWidget

class UserEditFormPage(UserEditFormPage):
    """Edit a user account by user
    """
    form_fields = grok.AutoFields(IUserAccount).omit(
        'name', 'description', 'roles')
    form_fields['phone'].custom_widget = PhoneWidget
